インラインソースが大きすぎる

Moses Skodaエンジニア読了目安 1分

この問題が発生すると、APIは422 Unprocessable Contentを返します。typeはhttps://lingo.dev/docs/api/errors/inline-source-too-largeです。すべてのエラーに共通する構造については、エラーとステータスコードを参照してください。

「<documentKey>」のインラインソースは、シリアライズ後のサイズが2バイトとなり、アーティファクトの上限である2バイトを超えています。ドキュメントを複数の小さなドキュメントに分割してください。

フィールド#

本文には、標準のtype、status、title、detailの各メンバーに加えて、以下のフィールドが含まれます。detailのテキストはこれらのフィールドをもとに生成されるため、クライアント側で独自のテキストに置き換えて表示できます。

フィールド型
documentKeystring
bytesinteger
maxBytesinteger

例#

json
{
  "detail": "The inline source of \"<documentKey>\" is 2 bytes once serialized, over the 2-byte artifact limit. Split the document into smaller ones.",
  "documentKey": "<documentKey>",
  "bytes": 2,
  "maxBytes": 2,
  "type": "https://lingo.dev/docs/api/errors/inline-source-too-large",
  "status": 422,
  "title": "Inline source too large"
}

このエラーを返すエンドポイント#

  • POST /v2/organizations/{orgId}/localization/estimates
  • POST /v2/organizations/{orgId}/localization/jobs